MGC Canvas Graphing Calculator
===
This is a simple JavaScript graphing calculator.

Usage
---
* The "graph" button draws the function and locks the text box
* The "clear" button erases the function and unlocks the text box
* The "update" button facilitates xMax updating

Supported Functions/Numbers
---
The following functions and numbers are currently supported:  
* sin
* asin/arcsin
* cos
* acos/arccos
* tan
* atan/arctan
* log (natural logarithm)
* E (2.718281828459045)
* PI (3.141592653589793)

Example Functions
---
* sin(x) + 3
* x^3
* cos(x^2)
* log(x) + 1
* 2 * sin(x+1) + 2

Current Limitations
---
* xMin/xMax must be symmetrical
* No support for directly changing xMin
* No graph/mouse interaction
* Only uses basic error/warning messages
* Uses eval to evaluate user input (likely unsafe)
