$(document).ready(function(){
	var calc = new MGC.Calculator("MGC-Calculator");
	
	$(".graph").click(function(){
		var id = this.id.substring(0, 3);
		
		if($("#in" + id).attr("readonly") !== "readonly"){
			var func = $("#in" + id).val();
			var color = $("." + id + "div").css("background-color");
			
			if(calc.graphFunc(func, color)){ //check expression validity
				$("#in" + id).attr("readonly", "readonly");
			}
			else{
				$("#in" + id).val("BAD EXPRESSION");
			}
		}
	});
	
	$(".clear").click(function(){
		var id = this.id.substring(0, 3);
		var func = $("#in" + id).val();
		var color = $("." + id + "div").css("background-color");
		
		$("#in" + id).val("");
		calc.clearFunc(func, color);
		$("#in" + id).removeAttr("readonly");
	});
	
	$("#xmax").change(function(){
		calc.setMax($(this).val(), "x");
		$("#xmin").val("-" + $(this).val());
	});
		
});